# hp backend V0.90

From: Peter Kirchgessner (peter@kirchgessner.net)
Date: Mon Sep 04 2000 - 06:02:02 PDT

- Next message: Arnaud Calvo: "image defaults"
  - Previous message: Marcel Pol: "RE: Scanport SQ300 with SANE / microtek2 backend"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hello,

  hp-backend V0.90 has been released. It is available in the CVS and on my
  homepage.
  Changes:

  - fix timing problem between killing child and writing to pipe
  - change fprintf(stderr,...) to DBG
  - change include <sane..> to "sane.." in hp.h
  - change handling of options that have global effects.
  i.e. if option scanmode is received (has global effect),
  all options that "may change" are send to the scanner again.
  This fixes a problem that --resolution specified infront of
  --mode on command line of scanimage was ignored.
  NOTE: This change does not allow to specify --depth 12 infront
  of
  --mode color, because --depth is only enabled with --mode color.
  - add depth greater 8 bits for mode grayscale
  - add option for 8 bit output but 10/12 bit scanning internally

  --Peter

      --
      Peter Kirchgessner
      WWW:    http://www.kirchgessner.net
      e-mail: peter@kirchgessner.net
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Arnaud Calvo: "image defaults"
  - Previous message: Marcel Pol: "RE: Scanport SQ300 with SANE / microtek2 backend"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Mon Sep 04 2000 - 06:04:52 PDT